[libav-bugs] [Bug 537] configure not aware of AIX tools

bugzilla at libav.org bugzilla at libav.org
Thu Jul 18 18:26:37 CEST 2013


https://bugzilla.libav.org/show_bug.cgi?id=537

Diego Biurrun <diego at biurrun.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
 Attachment #423 is|0                           |1
           obsolete|                            |

--- Comment #2 from Diego Biurrun <diego at biurrun.de> 2013-07-18 18:26:37 CEST ---
Comment on attachment 423
  --> https://bugzilla.libav.org/attachment.cgi?id=423
proposed patch

>--- a/configure
>+++ b/configure
>@@ -3051,7 +3051,11 @@
>  # OS specific
>  case $target_os in
>      aix)
>+         AVSERVERLDFLAGS=-Wl,-bexpall
>+         SHFLAGS=-shared

The AVSERVERLDFLAGS part of this is obsolete, those bits have been removed by
Martin.

>          add_cppflags '-I\$(SRC_PATH)/compat/aix'
>+         enabled shared && add_ldflags -Wl,-brtl
>+         ar='ar -Xany'

ar_default should be set instead of ar, so that it can still be overridden by
configure.

-- 
Configure bugmail: https://bugzilla.libav.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are watching all bug changes.


More information about the libav-bugs mailing list